commit: 06c52e590713065b351419cd5bb7a9c451a8054c
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 30 15:36:16 2021 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Oct 30 15:37:27 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06c52e59
dev-python/urwid: add optfeature on dev-python/trio
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/urwid/urwid-2.1.2.ebuild | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)
diff --git a/dev-python/urwid/urwid-2.1.2.ebuild
b/dev-python/urwid/urwid-2.1.2.ebuild
index 8e5ca05854a..f2501abefd2 100644
--- a/dev-python/urwid/urwid-2.1.2.ebuild
+++ b/dev-python/urwid/urwid-2.1.2.ebuild
@@ -5,7 +5,7 @@ EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE="ncurses"
-inherit distutils-r1
+inherit distutils-r1 optfeature
DESCRIPTION="Curses-based user interface library for Python"
HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/
https://github.com/urwid/urwid/"
@@ -27,6 +27,9 @@ src_prepare() {
# Fix doc generation
sed -e 's/!defindex/layout/' -i docs/tools/templates/indexcontent.html
|| die
+ # Fix for >=dev-python/trio-0.15
+ sed -e 's/hazmat/lowlevel/' -i urwid/_async_kw_event_loop.py || die
+
distutils-r1_src_prepare
}
@@ -34,3 +37,7 @@ python_install_all() {
use examples && dodoc -r examples
distutils-r1_python_install_all
}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
+}